Skip to main content
POST
/
v2
/
{target}
/
{identifier}
/
attributes
Create an attribute
curl --request POST \
  --url https://api.attio.com/v2/{target}/{identifier}/attributes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "title": "Your Attribute",
    "description": "Lorem ipsum",
    "api_slug": "my-attribute",
    "type": "text",
    "is_required": true,
    "is_unique": true,
    "is_multiselect": true,
    "config": {},
    "default_value": {
      "type": "static",
      "template": [
        {
          "value": 5
        }
      ]
    },
    "relationship": {
      "object": "companies",
      "title": "Team members",
      "api_slug": "team_members",
      "is_multiselect": false
    }
  }
}
'
{
  "data": {
    "id": {
      "workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
      "object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
      "attribute_id": "41252299-f8c7-4b5e-99c9-4ff8321d2f96"
    },
    "title": "Company",
    "description": "A company attribute",
    "api_slug": "company",
    "type": "record-reference",
    "is_system_attribute": false,
    "is_writable": true,
    "is_required": false,
    "is_unique": false,
    "is_multiselect": false,
    "is_default_value_enabled": false,
    "is_archived": false,
    "default_value": null,
    "relationship": {
      "id": {
        "workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
        "object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
        "attribute_id": "41252299-f8c7-4b5e-99c9-4ff8321d2f96"
      },
      "object_slug": "companies",
      "title": "Team members",
      "api_slug": "team_members",
      "is_multiselect": true
    },
    "created_at": "2021-11-21T13:22:49.061Z",
    "config": {
      "currency": {
        "default_currency_code": null,
        "display_type": null
      },
      "record_reference": {
        "allowed_object_ids": [
          "companies"
        ]
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.attio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This API uses OAuth 2.0 with the authorization code grant flow.

Path Parameters

target
enum<string>
required

Whether the attribute is to be created on an object or a list.

Available options:
objects,
lists
Example:

"lists"

identifier
string
required

A UUID or slug to identify the object or list the attribute belongs to.

Example:

"97052eb9-e65e-443f-a297-f2d9a4a7f795"

Body

application/json
data
object
required

Response

Success

Success

data
object
required
Example:
{
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
"attribute_id": "41252299-f8c7-4b5e-99c9-4ff8321d2f96"
},
"title": "Company",
"description": "A company attribute",
"api_slug": "company",
"type": "record-reference",
"is_system_attribute": false,
"is_writable": true,
"is_required": false,
"is_unique": false,
"is_multiselect": false,
"is_default_value_enabled": false,
"is_archived": false,
"default_value": null,
"relationship": {
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
"attribute_id": "41252299-f8c7-4b5e-99c9-4ff8321d2f96"
},
"object_slug": "companies",
"title": "Team members",
"api_slug": "team_members",
"is_multiselect": true
},
"created_at": "2021-11-21T13:22:49.061Z",
"config": {
"currency": {
"default_currency_code": null,
"display_type": null
},
"record_reference": { "allowed_object_ids": ["companies"] }
}
}